// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdDigitalSigningPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdDigitalSigningPlugin", targets: ["WebIdDigitalSigningPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-plugin-core-spm.git",
            .exact("10.0.0")
        ),
        .package(
            name: "WebIdSdkUiKitComponents",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackages/webid-sdk-ui-components-spm.git",
            .exact("7.0.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdDigitalSigningPlugin/10.0.0/WebIdDigitalSigningPlugin.framework-v10.0.0-SNAPSHOT-745.zip",
            checksum: "3d26cebb18f9dd76d9edc9ede438dad66a49cd2e7babffd3b0912b79858d0311"
        ),
        .target(
            name: "WebIdDigitalSigningPluginWrapper",
            dependencies: [
                .target(name: "WebIdDigitalSigningPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "WebIdSdkUiKitComponents", package: "WebIdSdkUiKitComponents"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
